View Issue Details

IDProjectCategoryView StatusLast Update
0001371XdebugRemote Debuggingpublic2016-12-06 19:46
ReporterRaidAssigned Toderick 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionwon't fix 
Product Version 
Target VersionFixed in Version 
Summary0001371: Implement custom call stack for xdebug_break()
DescriptionSince Exceptions don't trigger a break for when you remote debug, I have put a 'xdebug_break' in my exception handler.. It seems to work, but it loses the call stack. Since the exception has all the information of where it happened, I could just use the params from Exception->getTrace() to fill in? Or better yet, just be able to provide the exception in xdebug_break ? Or possibly a new command xdebug_break_exception() ?
TagsNo tags attached.
Operating System
PHP Version7.0.10-7.0.14

Activities

derick

2016-12-01 19:04

administrator   ~0003859

Hi,

I don't know which IDE you use, but Xdebug supports breaking on exceptions. PhpStorm for example, provides a GUI for it as well: https://blog.jetbrains.com/phpstorm/2013/12/just-in-time-debugging-and-php-exception-breakpoints-with-phpstorm-and-xdebug/

would that be enough?

cheers,
Derick

Raid

2016-12-01 19:47

reporter   ~0003865

Last edited: 2016-12-01 19:47

View 2 revisions

Not really.. PHP Storm is not free, and I need free tools (and already used to Netbeans). Why doesn't exceptions work in Netbeans? Is it Netbeans fault?

P.S. Thank you for such a quick reply!

derick

2016-12-01 23:41

administrator   ~0003866

Yes - Netbeans can chose to implement this type of exception breakpoint.

I am going to close this issue, as this is something that Xdebug supports, but the IDE needs to support.

Raid

2016-12-05 20:52

reporter   ~0003947

I'm not sure if I should be re-opening this or making a new one but, is it possible for the Editors that don't support it, can you add some options to control the Exception Breaking? Like, options to auto set these:

breakpoint_set -t exception -X Notice
breakpoint_set -t exception -X Warning
breakpoint_set -t exception -X Error

derick

2016-12-06 19:46

administrator   ~0003953

I am not going to add these things as Xdebug already supports this.

If you want to have this supported in Netbeans, you need to talk to the Netbeans developers and convince them to add this. Their issue tracker is at https://netbeans.org/bugzilla/

Issue History

Date Modified Username Field Change
2016-11-30 00:20 Raid New Issue
2016-12-01 19:04 derick Note Added: 0003859
2016-12-01 19:04 derick Assigned To => derick
2016-12-01 19:04 derick Status new => feedback
2016-12-01 19:47 Raid Note Added: 0003865
2016-12-01 19:47 Raid Status feedback => assigned
2016-12-01 19:47 Raid Note Edited: 0003865 View Revisions
2016-12-01 23:41 derick Note Added: 0003866
2016-12-01 23:41 derick Status assigned => resolved
2016-12-01 23:41 derick Resolution open => won't fix
2016-12-05 20:52 Raid Note Added: 0003947
2016-12-05 20:52 Raid Status resolved => feedback
2016-12-05 20:52 Raid Resolution won't fix => reopened
2016-12-06 19:46 derick Note Added: 0003953
2016-12-06 19:46 derick Status feedback => resolved
2016-12-06 19:46 derick Resolution reopened => won't fix